> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询结果

> 查询 Wan 视频任务状态与结果。

**路径：** `GET https://api.omniall.ai/v1/video/generations/{task_id}`

也可用 `GET /v1/videos/{task_id}`。



## OpenAPI

````yaml zh-CN/openapi/wan-video.yaml GET /v1/video/generations/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — Wan视频
  version: 1.0.0
  description: >-
    Wan（通义万相）异步创建视频。


    **路径：** `POST https://api.omniall.ai/v1/video/generations`


    也可用 `POST /v1/videos`。创建后用 `id` / `task_id` 轮询查询。


    当前仅支持（阿里巴巴
    Wan）：`wan2.1-480P`、`wan2.1-720P`、`wan2.1-1080P`（见[模型广场](https://omniall.ai/pricing)）。


    鉴权：`Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/video/generations/{task_id}:
    get:
      tags:
        - Wan
      summary: 查询结果
      description: |-
        查询 Wan 视频任务状态与结果。

        **路径：** `GET https://api.omniall.ai/v1/video/generations/{task_id}`

        也可用 `GET /v1/videos/{task_id}`。
      operationId: wanGetVideo
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxx
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API Key，例如 `Bearer sk-...`。
      responses:
        '200':
          description: 任务状态
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '404':
          description: 不存在

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.